<?php

namespace Drupal\entity_access_by_field\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class EntityVisibilityForm.
 *
 * @package Drupal\entity_access_by_field\Form
 */
class EntityVisibilityForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'entity_access_by_field.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'entity_access_by_field_visibility_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    // Get config for this form.
    $config = $this->config('entity_access_by_field.settings');

    $form['disable_public_visibility'] = array(
      '#type' => 'checkbox',
      '#title' => $this->t('Disable public visibility'),
      '#description' => $this->t('Turning on this feature makes sure regular user can no longer post public content anywhere on the platform.'),
      '#default_value' => $config->get('disable_public_visibility'),
    );

    // TODO: Change the autogenerated stub.
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('entity_access_by_field.settings')
      ->set('disable_public_visibility', $form_state->getValue('disable_public_visibility'))
      ->save();

    parent::submitForm($form, $form_state);
  }

}
